NX Open C++ Reference Guide
|
Represents a Offset In Face(aka Associative offset curve on face)feature builder. More...
Public Types | |
enum | Extend { ExtendNone, ExtendWithinSection } |
AOCS builder extend to each other within section type enum. More... | |
enum | ExtendToFace { ExtendToFaceNone, ExtendToFaceBoundary } |
AOCS builder extend to face edges type enum. More... | |
enum | FilletOptions { FilletOptionsNoFillet, FilletOptionsVector, FilletOptionsBestFit, FilletOptionsProjectedVector } |
AOCS builder fillet options type enum. More... | |
enum | OffsetDirection { OffsetDirectionNormalToCurve, OffsetDirectionNormalToVector } |
AOCS builder offset direction type enum. More... | |
enum | OffsetDistanceType { OffsetDistanceTypeConstant, OffsetDistanceTypeVariable } |
AOCS builder offset distance type enum. More... | |
enum | OffsetType { OffsetTypeChordal, OffsetTypeArclength, OffsetTypeGeodesic, OffsetTypeTangential, OffsetTypeProjectdistance } |
AOCS builder offset type enum. More... | |
enum | Trim { TrimNone, TrimWithinSection } |
AOCS builder trim to each other within section type enum. More... | |
Public Member Functions | |
double | AngularTolerance () |
Returns the angular tolerance for the AOCS operation. | |
bool | AssociativeOutputOption () |
Returns the associative output option for the AOCS operation. | |
NXOpen::Section * | CloneSection (bool constToVariable, NXOpen::Section *sectionFrom) |
Clone section. | |
NXOpen::GeometricUtilities::CurveFitJoin * | CurveFitJoinData () |
Returns the curve fit join method Created in NX7.5.0. | |
NXOpen::Direction * | DirectionVector () |
Returns the offset diection vector Created in NX7.5.0. | |
double | DistanceTolerance () |
Returns the distance tolerance for the AOCS operation. | |
NXOpen::Features::AOCSBuilder::Extend | ExtendMethod () |
Returns the extend method option for the AOCS operation. | |
NXOpen::Features::AOCSBuilder::ExtendToFace | ExtendToFaceOption () |
Returns the span option for the AOCS operation. | |
NXOpen::ScCollector * | FaceCollector () |
Returns the face collector. | |
NXOpen::Direction * | FilletDirectionVector () |
Returns the fillet vector Created in NX7.5.0. | |
NXOpen::Features::AOCSBuilder::FilletOptions | FilletOption () |
Returns the fillet option Created in NX7.5.0. | |
NXOpen::Expression * | FilletRadius () |
Returns the fillet radius Created in NX7.5.0. | |
void | FlipAllOffsetsOfSection (NXOpen::Section *section) |
Reverse the direction of all offsets of the section. | |
void | FlipOffset (NXOpen::NXObject *seldimitem) |
Reverse the offset direction. | |
NXOpen::GeometricUtilities::LawBuilder * | Law () |
Returns the law. | |
NXOpen::Section * | LawString () |
Returns the law string Created in NX7.0.0. | |
bool | LawStringFlip () |
Returns the law string flip flag Created in NX7.5.0. | |
NXOpen::Features::AOCSBuilder::OffsetDirection | OffsetDirectionOption () |
Returns the offset direction vector Created in NX7.5.0. | |
NXOpen::Features::AOCSBuilder::OffsetDistanceType | OffsetDistType () |
Returns the offset distance type Created in NX7.5.0. | |
NXOpen::Features::AOCSBuilder::OffsetType | OffsetMode () |
Returns the offset mode for the AOCS operation. | |
NXOpen::ExpressionSectionSetList * | Offsets () |
Returns the list of offsets. | |
NXOpen::Direction * | ProjectPlaneNormal () |
Returns the project plane vector Created in NX7.5.0. | |
bool | RemoveSelfIntersections () |
Returns the remove self intersections flag . | |
void | SetAngularTolerance (double angularTolerance) |
Sets the angular tolerance for the AOCS operation. | |
void | SetAssociativeOutputOption (bool associative) |
Sets the associative output option for the AOCS operation. | |
void | SetDirectionVector (NXOpen::Direction *offsetDirection) |
Sets the offset diection vector Created in NX7.5.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance for the AOCS operation. | |
void | SetExtendMethod (NXOpen::Features::AOCSBuilder::Extend extendMethod) |
Sets the extend method option for the AOCS operation. | |
void | SetExtendToFaceOption (NXOpen::Features::AOCSBuilder::ExtendToFace extendToFaceOption) |
Sets the span option for the AOCS operation. | |
void | SetFaceCollector (NXOpen::ScCollector *collector) |
Sets the face collector. | |
void | SetFilletDirectionVector (NXOpen::Direction *tipDirection) |
Sets the fillet vector Created in NX7.5.0. | |
void | SetFilletOption (NXOpen::Features::AOCSBuilder::FilletOptions options) |
Sets the fillet option Created in NX7.5.0. | |
void | SetFilletRadius (NXOpen::Expression *radius) |
Sets the fillet radius Created in NX7.5.0. | |
void | SetLawString (NXOpen::Section *lawString) |
Sets the law string Created in NX7.5.0. | |
void | SetLawStringFlip (bool flip) |
Sets the law string flip flag Created in NX7.5.0. | |
void | SetOffsetDirectionOption (NXOpen::Features::AOCSBuilder::OffsetDirection direction) |
Sets the offset direction vector Created in NX7.5.0. | |
void | SetOffsetDistType (NXOpen::Features::AOCSBuilder::OffsetDistanceType type) |
Sets the offset distance type Created in NX7.5.0. | |
void | SetOffsetMode (NXOpen::Features::AOCSBuilder::OffsetType offsetMode) |
Sets the offset mode for the AOCS operation. | |
void | SetProjectPlaneNormal (NXOpen::Direction *projectPlaneNormal) |
Sets the project plane vector Created in NX7.5.0. | |
void | SetRemoveSelfIntersections (bool removeSelfIntersections) |
Sets the remove self intersections flag . | |
void | SetTrimMethod (NXOpen::Features::AOCSBuilder::Trim trimMethod) |
Sets the trim method option for the AOCS operation. | |
void | SetTrimToFaceEdgesOption (bool trimToFaceEdges) |
Sets the cross boundary option for the AOCS operation. | |
void | SynchronizeSections (bool constToVariable, NXOpen::Section *firstSection, NXOpen::Section *secondSection) |
Synchronize the second section data consistent to the first one Created in NX7.5.0. | |
NXOpen::Features::AOCSBuilder::Trim | TrimMethod () |
Returns the trim method option for the AOCS operation. | |
bool | TrimToFaceEdgesOption () |
Returns the cross boundary option for the AOCS operation. | |
void | UpdateCurvesStatus (bool updateLawParm) |
Update result curve status. | |
void | UpdateFaces () |
Update face. | |
void | UpdatePostStatusFlag (bool postStatusChanged) |
Update the post-process status flag. | |
bool | UpdateSectionData (NXOpen::Section *section) |
Update section data for offset. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Offset In Face(aka Associative offset curve on face)feature builder.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateAocsBuilder Features::FeatureCollection::CreateAocsBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CurveFitJoinData.CurveFitOptions.FitOption |
Cubic |
CurveFitJoinData.CurveFitOptions.MaximumDegree |
7 |
CurveFitJoinData.CurveFitOptions.MaximumSegments |
1 |
Law.Function |
ft |
Law.LawType |
Constant |
Law.Parameter |
t |
Created in NX4.0.0.
AOCS builder extend to each other within section type enum.
AOCS builder extend to face edges type enum.
AOCS builder fillet options type enum.
AOCS builder offset direction type enum.
AOCS builder offset distance type enum.
AOCS builder offset type enum.
AOCS builder trim to each other within section type enum.
double NXOpen::Features::AOCSBuilder::AngularTolerance | ( | ) |
Returns the angular tolerance for the AOCS operation.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::AOCSBuilder::AssociativeOutputOption | ( | ) |
Returns the associative output option for the AOCS operation.
Created in NX4.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::AOCSBuilder::CloneSection | ( | bool | constToVariable, |
NXOpen::Section * | sectionFrom | ||
) |
Clone section.
constToVariable | whether the type change is from constant to variable |
sectionFrom | section to be cloned |
NXOpen::GeometricUtilities::CurveFitJoin* NXOpen::Features::AOCSBuilder::CurveFitJoinData | ( | ) |
Returns the curve fit join method
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Direction* NXOpen::Features::AOCSBuilder::DirectionVector | ( | ) |
Returns the offset diection vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::Features::AOCSBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance for the AOCS operation.
Created in NX4.0.0.
License requirements : None
NXOpen::Features::AOCSBuilder::Extend NXOpen::Features::AOCSBuilder::ExtendMethod | ( | ) |
Returns the extend method option for the AOCS operation.
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AOCSBuilder::ExtendToFace NXOpen::Features::AOCSBuilder::ExtendToFaceOption | ( | ) |
Returns the span option for the AOCS operation.
Created in NX4.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::AOCSBuilder::FaceCollector | ( | ) |
Returns the face collector.
Created in NX4.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::AOCSBuilder::FilletDirectionVector | ( | ) |
Returns the fillet vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::AOCSBuilder::FilletOptions NXOpen::Features::AOCSBuilder::FilletOption | ( | ) |
Returns the fillet option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::AOCSBuilder::FilletRadius | ( | ) |
Returns the fillet radius
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::AOCSBuilder::FlipAllOffsetsOfSection | ( | NXOpen::Section * | section | ) |
Reverse the direction of all offsets of the section.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
section | input section |
void NXOpen::Features::AOCSBuilder::FlipOffset | ( | NXOpen::NXObject * | seldimitem | ) |
Reverse the offset direction.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
seldimitem | input list item |
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AOCSBuilder::Law | ( | ) |
Returns the law.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::Features::AOCSBuilder::LawString | ( | ) |
Returns the law string
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::AOCSBuilder::LawStringFlip | ( | ) |
Returns the law string flip flag
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::AOCSBuilder::OffsetDirection NXOpen::Features::AOCSBuilder::OffsetDirectionOption | ( | ) |
Returns the offset direction vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::AOCSBuilder::OffsetDistanceType NXOpen::Features::AOCSBuilder::OffsetDistType | ( | ) |
Returns the offset distance type
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::AOCSBuilder::OffsetType NXOpen::Features::AOCSBuilder::OffsetMode | ( | ) |
Returns the offset mode for the AOCS operation.
Created in NX4.0.0.
License requirements : None
NXOpen::ExpressionSectionSetList* NXOpen::Features::AOCSBuilder::Offsets | ( | ) |
Returns the list of offsets.
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::AOCSBuilder::ProjectPlaneNormal | ( | ) |
Returns the project plane vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::AOCSBuilder::RemoveSelfIntersections | ( | ) |
Returns the remove self intersections flag .
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::AOCSBuilder::SetAngularTolerance | ( | double | angularTolerance | ) |
Sets the angular tolerance for the AOCS operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
angularTolerance | angular tolerance |
void NXOpen::Features::AOCSBuilder::SetAssociativeOutputOption | ( | bool | associative | ) |
Sets the associative output option for the AOCS operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::AOCSBuilder::SetDirectionVector | ( | NXOpen::Direction * | offsetDirection | ) |
Sets the offset diection vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offsetDirection | offset direction |
void NXOpen::Features::AOCSBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance for the AOCS operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distance tolerance |
void NXOpen::Features::AOCSBuilder::SetExtendMethod | ( | NXOpen::Features::AOCSBuilder::Extend | extendMethod | ) |
Sets the extend method option for the AOCS operation.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
extendMethod | extend method |
void NXOpen::Features::AOCSBuilder::SetExtendToFaceOption | ( | NXOpen::Features::AOCSBuilder::ExtendToFace | extendToFaceOption | ) |
Sets the span option for the AOCS operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
extendToFaceOption | extend to face option |
void NXOpen::Features::AOCSBuilder::SetFaceCollector | ( | NXOpen::ScCollector * | collector | ) |
Sets the face collector.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | collector |
void NXOpen::Features::AOCSBuilder::SetFilletDirectionVector | ( | NXOpen::Direction * | tipDirection | ) |
Sets the fillet vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tipDirection | tip direction |
void NXOpen::Features::AOCSBuilder::SetFilletOption | ( | NXOpen::Features::AOCSBuilder::FilletOptions | options | ) |
Sets the fillet option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
options | options |
void NXOpen::Features::AOCSBuilder::SetFilletRadius | ( | NXOpen::Expression * | radius | ) |
Sets the fillet radius
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | radius |
void NXOpen::Features::AOCSBuilder::SetLawString | ( | NXOpen::Section * | lawString | ) |
Sets the law string
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
lawString | law string |
void NXOpen::Features::AOCSBuilder::SetLawStringFlip | ( | bool | flip | ) |
Sets the law string flip flag
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flip | flip |
void NXOpen::Features::AOCSBuilder::SetOffsetDirectionOption | ( | NXOpen::Features::AOCSBuilder::OffsetDirection | direction | ) |
Sets the offset direction vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | direction |
void NXOpen::Features::AOCSBuilder::SetOffsetDistType | ( | NXOpen::Features::AOCSBuilder::OffsetDistanceType | type | ) |
Sets the offset distance type
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::AOCSBuilder::SetOffsetMode | ( | NXOpen::Features::AOCSBuilder::OffsetType | offsetMode | ) |
Sets the offset mode for the AOCS operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offsetMode | offset mode |
void NXOpen::Features::AOCSBuilder::SetProjectPlaneNormal | ( | NXOpen::Direction * | projectPlaneNormal | ) |
Sets the project plane vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectPlaneNormal | project plane normal |
void NXOpen::Features::AOCSBuilder::SetRemoveSelfIntersections | ( | bool | removeSelfIntersections | ) |
Sets the remove self intersections flag .
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
removeSelfIntersections | remove self intersections |
void NXOpen::Features::AOCSBuilder::SetTrimMethod | ( | NXOpen::Features::AOCSBuilder::Trim | trimMethod | ) |
Sets the trim method option for the AOCS operation.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimMethod | trim method |
void NXOpen::Features::AOCSBuilder::SetTrimToFaceEdgesOption | ( | bool | trimToFaceEdges | ) |
Sets the cross boundary option for the AOCS operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimToFaceEdges | trim to face edges |
void NXOpen::Features::AOCSBuilder::SynchronizeSections | ( | bool | constToVariable, |
NXOpen::Section * | firstSection, | ||
NXOpen::Section * | secondSection | ||
) |
Synchronize the second section data consistent to the first one
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
constToVariable | whether the type change is from constant to variable |
firstSection | section as input |
secondSection | section to be st=ynchronized |
NXOpen::Features::AOCSBuilder::Trim NXOpen::Features::AOCSBuilder::TrimMethod | ( | ) |
Returns the trim method option for the AOCS operation.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::AOCSBuilder::TrimToFaceEdgesOption | ( | ) |
Returns the cross boundary option for the AOCS operation.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::AOCSBuilder::UpdateCurvesStatus | ( | bool | updateLawParm | ) |
Update result curve status.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
updateLawParm | whether to update law parm |
void NXOpen::Features::AOCSBuilder::UpdateFaces | ( | ) |
Update face.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::AOCSBuilder::UpdatePostStatusFlag | ( | bool | postStatusChanged | ) |
Update the post-process status flag.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
postStatusChanged | whether the post status changed |
bool NXOpen::Features::AOCSBuilder::UpdateSectionData | ( | NXOpen::Section * | section | ) |
Update section data for offset.
section | section as input |